Bug 1913371 - Missing i18n key "Administrator" in namespace "console-app" and language "en."
Summary: Missing i18n key "Administrator" in namespace "console-app" and language "en."
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-06 15:31 UTC by ralpert
Modified: 2021-02-24 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We were not using the special i18n notation for plugins. Consequence: There was an error message. Fix: Switched to using special i18n notation for plugins. Result: There is no message.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7731 0 None closed Bug 1913371: Fix Administrator missing key error 2021-01-11 17:48:12 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:08 UTC

Description ralpert 2021-01-06 15:31:11 UTC
Description of problem:
There is a "Missing i18n key "Administrator" in namespace "console-app" and language "en."" issue. Administrator needs to use the "%" syntax for plugins.

Version-Release number of selected component (if applicable):
4.7 

How reproducible:
Always

Steps to Reproduce:
1. Look at developer console warnings/errors.

Expected results:
No error/warning.

Comment 2 Yanping Zhang 2021-01-08 09:05:33 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-01-07-181010,
On console, add "?pseudolocalization=true&lng=en" in the end of url, check log in f12 console, there is no this error now: "Missing i18n key "Administrator" in namespace "console-app" and language "en."" 
The bug is fixed.

Comment 5 errata-xmlrpc 2021-02-24 15:50:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.